
--
-- Database: `avalieduc`
--

-- --------------------------------------------------------

--
-- Estrutura da tabela `aluno`
--

CREATE TABLE `aluno` (
  `id` int(11) NOT NULL,
  `usuario` int(11) NOT NULL,
  `nome` varchar(145) DEFAULT NULL,
  `data_cadastro` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estrutura da tabela `avaliacao`
--

CREATE TABLE `avaliacao` (
  `id` int(11) NOT NULL,
  `titulo` varchar(45) DEFAULT NULL,
  `descricao` longtext,
  `data` int(11) DEFAULT NULL,
  `data_aplicacao` int(11) DEFAULT NULL,
  `usuario` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estrutura da tabela `avaliacao_has_questao`
--

CREATE TABLE `avaliacao_has_questao` (
  `id` int(11) NOT NULL,
  `avaliacao_id` int(11) NOT NULL,
  `questao_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estrutura da tabela `avaliacao_has_turma_has_aluno`
--

CREATE TABLE `avaliacao_has_turma_has_aluno` (
  `id` int(11) NOT NULL,
  `avaliacao_id` int(11) NOT NULL,
  `turma_has_aluno_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estrutura da tabela `avaliacao_questao_turma_aluno`
--

CREATE TABLE `avaliacao_questao_turma_aluno` (
  `id` int(11) NOT NULL,
  `avaliacao_has_questao_id` int(11) NOT NULL,
  `avaliacao_has_turma_has_aluno_id` int(11) NOT NULL,
  `resposta` int(11) NOT NULL,
  `nota` int(11) DEFAULT NULL,
  `resposta_discursiva` longtext
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estrutura da tabela `conteudo`
--

CREATE TABLE `conteudo` (
  `id` int(11) NOT NULL,
  `descricao` varchar(255) DEFAULT NULL,
  `usuario` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estrutura da tabela `diario`
--

CREATE TABLE `diario` (
  `id` int(11) NOT NULL,
  `usuario` int(11) NOT NULL,
  `turma` int(11) NOT NULL,
  `titulo` varchar(255) DEFAULT NULL,
  `postagem` longtext,
  `data` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estrutura da tabela `dificuldade`
--

CREATE TABLE `dificuldade` (
  `id` int(11) NOT NULL,
  `grau` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Extraindo dados da tabela `dificuldade`
--

INSERT INTO `dificuldade` (`id`, `grau`) VALUES
(1, 'Muito FÃ¡cil'),
(2, 'FÃ¡cil'),
(3, 'MÃ©dio'),
(4, 'DifÃ­cil'),
(5, 'Muito DifÃ­cil');

-- --------------------------------------------------------

--
-- Estrutura da tabela `questao`
--

CREATE TABLE `questao` (
  `id` int(11) NOT NULL,
  `tipo_questao` int(11) NOT NULL,
  `dificuldade` int(11) NOT NULL,
  `conteudo` int(11) NOT NULL,
  `usuario` int(11) NOT NULL,
  `texto` longtext,
  `data_cadastro` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estrutura da tabela `resposta`
--

CREATE TABLE `resposta` (
  `id` int(11) NOT NULL,
  `descricao` longtext,
  `certa` int(11) DEFAULT NULL,
  `questao` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estrutura da tabela `tipo_questao`
--

CREATE TABLE `tipo_questao` (
  `id` int(11) NOT NULL,
  `descricao` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Extraindo dados da tabela `tipo_questao`
--

INSERT INTO `tipo_questao` (`id`, `descricao`) VALUES
(1, 'MÃºltipla Escolha'),
(2, 'Certa ou Errada'),
(3, 'QuestÃ£o Discursiva'),
(4, 'AvaliaÃ§Ã£o Livre');

-- --------------------------------------------------------

--
-- Estrutura da tabela `turma`
--

CREATE TABLE `turma` (
  `id` int(11) NOT NULL,
  `usuario` int(11) NOT NULL,
  `nome` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estrutura da tabela `turma_has_aluno`
--

CREATE TABLE `turma_has_aluno` (
  `id` int(11) NOT NULL,
  `turma_id` int(11) NOT NULL,
  `aluno_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estrutura da tabela `usuario`
--

CREATE TABLE `usuario` (
  `id` int(11) NOT NULL,
  `nome` varchar(100) NOT NULL,
  `usuario` varchar(45) NOT NULL,
  `senha` varchar(45) NOT NULL,
  `nivel` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Extraindo dados da tabela `usuario`
--

INSERT INTO `usuario` (`id`, `nome`, `usuario`, `senha`, `nivel`) VALUES
(1, 'Administrador', 'admin', 'd033e22ae348aeb5660fc2140aec35850c4da997', 1);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `aluno`
--
ALTER TABLE `aluno`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_usuario_idx` (`usuario`);

--
-- Indexes for table `avaliacao`
--
ALTER TABLE `avaliacao`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_usuario_avaliacao_idx` (`usuario`);

--
-- Indexes for table `avaliacao_has_questao`
--
ALTER TABLE `avaliacao_has_questao`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_avaliacao_has_questao_questao1_idx` (`questao_id`),
  ADD KEY `fk_avaliacao_has_questao_avaliacao1_idx` (`avaliacao_id`);

--
-- Indexes for table `avaliacao_has_turma_has_aluno`
--
ALTER TABLE `avaliacao_has_turma_has_aluno`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_avaliacao_has_turma_has_aluno_turma_has_aluno1_idx` (`turma_has_aluno_id`),
  ADD KEY `fk_avaliacao_has_turma_has_aluno_avaliacao1_idx` (`avaliacao_id`);

--
-- Indexes for table `avaliacao_questao_turma_aluno`
--
ALTER TABLE `avaliacao_questao_turma_aluno`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_avaliacao_has_questao_has_avaliacao_has_turma_has_aluno__idx` (`avaliacao_has_turma_has_aluno_id`),
  ADD KEY `fk_avaliacao_has_questao_has_avaliacao_has_turma_has_aluno__idx1` (`avaliacao_has_questao_id`),
  ADD KEY `fk_resposta_turma_aluno_idx` (`resposta`);

--
-- Indexes for table `conteudo`
--
ALTER TABLE `conteudo`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_usuario_conteudo_idx` (`usuario`);

--
-- Indexes for table `diario`
--
ALTER TABLE `diario`
  ADD PRIMARY KEY (`id`),
  ADD KEY `usuariodiario_idx` (`usuario`),
  ADD KEY `turmadiario_idx` (`turma`);

--
-- Indexes for table `dificuldade`
--
ALTER TABLE `dificuldade`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `questao`
--
ALTER TABLE `questao`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_tipo_questao_idx` (`tipo_questao`),
  ADD KEY `fk_dificuldade_idx` (`dificuldade`),
  ADD KEY `fk_usuario_idx` (`usuario`),
  ADD KEY `fk_conteudo_idx` (`conteudo`);

--
-- Indexes for table `resposta`
--
ALTER TABLE `resposta`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_questao_idx` (`questao`);

--
-- Indexes for table `tipo_questao`
--
ALTER TABLE `tipo_questao`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `turma`
--
ALTER TABLE `turma`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_usuario_idx` (`usuario`);

--
-- Indexes for table `turma_has_aluno`
--
ALTER TABLE `turma_has_aluno`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `index_unique` (`turma_id`,`aluno_id`),
  ADD KEY `fk_turma_has_aluno_aluno1_idx` (`aluno_id`),
  ADD KEY `fk_turma_has_aluno_turma1_idx` (`turma_id`);

--
-- Indexes for table `usuario`
--
ALTER TABLE `usuario`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `usuario_UNIQUE` (`usuario`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `aluno`
--
ALTER TABLE `aluno`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `avaliacao`
--
ALTER TABLE `avaliacao`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `avaliacao_has_questao`
--
ALTER TABLE `avaliacao_has_questao`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `avaliacao_has_turma_has_aluno`
--
ALTER TABLE `avaliacao_has_turma_has_aluno`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `avaliacao_questao_turma_aluno`
--
ALTER TABLE `avaliacao_questao_turma_aluno`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `conteudo`
--
ALTER TABLE `conteudo`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `diario`
--
ALTER TABLE `diario`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `dificuldade`
--
ALTER TABLE `dificuldade`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
--
-- AUTO_INCREMENT for table `questao`
--
ALTER TABLE `questao`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `resposta`
--
ALTER TABLE `resposta`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tipo_questao`
--
ALTER TABLE `tipo_questao`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `turma`
--
ALTER TABLE `turma`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `turma_has_aluno`
--
ALTER TABLE `turma_has_aluno`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `usuario`
--
ALTER TABLE `usuario`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- Constraints for dumped tables
--

--
-- Limitadores para a tabela `aluno`
--
ALTER TABLE `aluno`
  ADD CONSTRAINT `fk_usuario_aluno` FOREIGN KEY (`usuario`) REFERENCES `usuario` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `avaliacao`
--
ALTER TABLE `avaliacao`
  ADD CONSTRAINT `fk_usuario_avaliacao` FOREIGN KEY (`usuario`) REFERENCES `usuario` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `avaliacao_has_questao`
--
ALTER TABLE `avaliacao_has_questao`
  ADD CONSTRAINT `fk_avaliacao_has_questao_avaliacao1` FOREIGN KEY (`avaliacao_id`) REFERENCES `avaliacao` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_avaliacao_has_questao_questao1` FOREIGN KEY (`questao_id`) REFERENCES `questao` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `avaliacao_has_turma_has_aluno`
--
ALTER TABLE `avaliacao_has_turma_has_aluno`
  ADD CONSTRAINT `fk_avaliacao_has_turma_has_aluno_avaliacao1` FOREIGN KEY (`avaliacao_id`) REFERENCES `avaliacao` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_avaliacao_has_turma_has_aluno_turma_has_aluno1` FOREIGN KEY (`turma_has_aluno_id`) REFERENCES `turma_has_aluno` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `avaliacao_questao_turma_aluno`
--
ALTER TABLE `avaliacao_questao_turma_aluno`
  ADD CONSTRAINT `fk_avaliacao_has_questao_has_avaliacao_has_turma_has_aluno_av1` FOREIGN KEY (`avaliacao_has_questao_id`) REFERENCES `avaliacao_has_questao` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_avaliacao_has_questao_has_avaliacao_has_turma_has_aluno_av2` FOREIGN KEY (`avaliacao_has_turma_has_aluno_id`) REFERENCES `avaliacao_has_turma_has_aluno` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_resposta_turma_aluno` FOREIGN KEY (`resposta`) REFERENCES `resposta` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `conteudo`
--
ALTER TABLE `conteudo`
  ADD CONSTRAINT `fk_usuario_conteudo` FOREIGN KEY (`usuario`) REFERENCES `usuario` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `diario`
--
ALTER TABLE `diario`
  ADD CONSTRAINT `turmadiario` FOREIGN KEY (`turma`) REFERENCES `turma` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `usuariodiario` FOREIGN KEY (`usuario`) REFERENCES `usuario` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `questao`
--
ALTER TABLE `questao`
  ADD CONSTRAINT `fk_conteudo` FOREIGN KEY (`conteudo`) REFERENCES `conteudo` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_dificuldade` FOREIGN KEY (`dificuldade`) REFERENCES `dificuldade` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_tipo_questao` FOREIGN KEY (`tipo_questao`) REFERENCES `tipo_questao` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_usuario_questao` FOREIGN KEY (`usuario`) REFERENCES `usuario` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `resposta`
--
ALTER TABLE `resposta`
  ADD CONSTRAINT `fk_questao_alternativa` FOREIGN KEY (`questao`) REFERENCES `questao` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `turma`
--
ALTER TABLE `turma`
  ADD CONSTRAINT `fk_usuario_turma` FOREIGN KEY (`usuario`) REFERENCES `usuario` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Limitadores para a tabela `turma_has_aluno`
--
ALTER TABLE `turma_has_aluno`
  ADD CONSTRAINT `fk_turma_has_aluno_aluno1` FOREIGN KEY (`aluno_id`) REFERENCES `aluno` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_turma_has_aluno_turma1` FOREIGN KEY (`turma_id`) REFERENCES `turma` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
